org.jbpm.kie.services.impl.admin.commands

## Class ListTaskReassignmentsCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<List<TaskReassignment>>
    - - org.jbpm.kie.services.impl.admin.commands.ListTaskReassignmentsCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<List<TaskReassignment>>, org.kie.api.command.ExecutableCommand<List<TaskReassignment>>

      public class ListTaskReassignmentsCommand
      extends UserGroupCallbackTaskCommand<List<TaskReassignment>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListTaskReassignmentsCommand(String userId, long taskId, boolean activeOnly)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TaskReassignment>` | `execute(org.kie.api.runtime.Context cntxt)`
    `protected String` | `get(List<org.kie.api.task.model.I18NText> list)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addEmailFromCallbackOperation, addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackEmailOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListTaskReassignmentsCommand

          public ListTaskReassignmentsCommand(String userId,
                                              long taskId,
                                              boolean activeOnly)

  - ### Method Detail

    - #### execute

          public List<TaskReassignment> execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<List<TaskReassignment>>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<List<TaskReassignment>>`

    - #### get

          protected String get(List<org.kie.api.task.model.I18NText> list)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.